using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("prod_plan_info"), TenantAttribute("mes")]
    [DataContract(Name = "ProdPLanInfo 员工信息")]
    public class ProdPLanInfo
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true ,IsIdentity = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string PlanCode { get; set; }

        /// <summary>
        /// ERP订单编号
        /// </summary>
        [SugarColumn(ColumnName = "order_code")]
        public string OrderCode { get; set; }

        /// <summary>
        /// 物料编号
        /// </summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; }

        /// <summary>
        /// 计划工位
        /// </summary>
        [SugarColumn(ColumnName = "station_code")]
        public string StationCode { get; set; }

        /// <summary>
        /// 计划班组
        /// </summary>
        [SugarColumn(ColumnName = "team_code")]
        public string TeamCode { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [SugarColumn(ColumnName = "plan_amount")]
        public string PlanAmount { get; set; }

        /// <summary>
        /// 完成数量
        /// </summary>
        [SugarColumn(ColumnName = "complete_amount")]
        public string CompleteAmount { get; set; }

        /// <summary>
        /// 实际开始时间
        /// </summary>
        [SugarColumn(ColumnName = "begin_time")]
        public string BeginTime { get; set; }

        /// <summary>
        /// 实际完成时间
        /// </summary>
        [SugarColumn(ColumnName = "end_time")]
        public string EndTime { get; set; }

        /// <summary>
        /// 完成标识
        /// </summary>
        [SugarColumn(ColumnName = "comp_flag")]
        public string CompFlag { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public string CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public string UpdatedTime { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnName = "device_code")]
        public string DeviceCode { get; set; }

        /// <summary>
        /// 计划开始时间
        /// </summary>
        [SugarColumn(ColumnName = "plan_begin_time")]
        public string PlanBeginTime { get; set; }

        /// <summary>
        /// 计划结束时间
        /// </summary>
        [SugarColumn(ColumnName = "plan_end_time")]
        public string PlanEndTime { get; set; }

        /// <summary>
        /// 工单状态
        /// </summary>
        [SugarColumn(ColumnName = "plan_status")]
        public string PlanStatus { get; set; }

        /// <summary>
        /// 班组
        /// </summary>
        [SugarColumn(ColumnName = "classes")]
        public string Classes { get; set; }

        /// <summary>
        /// 工序编号
        /// </summary>
        [SugarColumn(ColumnName = "process_code")]
        public string ProcessCode { get; set; }

        /// <summary>
        /// 导入类型
        /// </summary>
        [SugarColumn(ColumnName = "import_flag")]
        public string ImportFlag { get; set; }
    }
}
